Index: configure
===================================================================
RCS file: /cvsroot/toppersjsp4bf/jsp/configure,v
retrieving revision 1.1
diff -u -r1.1 configure
--- configure	31 Jan 2009 05:27:37 -0000	1.1
+++ configure	14 Jun 2012 13:33:18 -0000
@@ -68,7 +68,7 @@
 #
 #  オプションの処理
 #
-do Getopt("CSTAULDPpld");
+Getopt("CSTAULDPpld");
 unless ($opt_C) {
 	print STDERR "configure: -C option is mandatory\n";
 	exit(1);
@@ -81,7 +81,7 @@
 $utask = $opt_U ? $opt_U : "";
 $kernel_lib = $opt_L ? $opt_L : "";
 $prefix = $opt_P ? $opt_P : "/usr/local";
-$perl = opt_p ? $opt_p : do get_path("perl", ("/usr/local/bin", "/usr/bin"));
+$perl = opt_p ? $opt_p : get_path("perl", ("/usr/local/bin", "/usr/bin"));
 $lang = $opt_l ? $opt_l : "";
 $templatedir = $opt_d ? $opt_d : "sample";
 
@@ -92,7 +92,7 @@
 	local(@uname);
 
 	use POSIX;
-	@uname = do uname();
+	@uname = uname();
 	if ($uname[0] =~ /^cygwin/i) {
 		return("exe");
 	}
@@ -160,26 +160,26 @@
 	if ($sys) {
 		$path = $sampledir.$file.".".$cpu."-".$sys;
 		if (-f $path) {
-			do convert($path, $file);
+			convert($path, $file);
 			return;
 		}
 
 		$path = $sampledir.$file.".".$sys;
 		if (-f $path) {
-			do convert($path, $file);
+			convert($path, $file);
 			return;
 		}
 	}	
 
 	$path = $sampledir.$file.".".$cpu;
 	if (-f $path) {
-		do convert($path, $file);
+		convert($path, $file);
 		return;
 	}	
 
 	$path = $sampledir.$file;
 	if ($mandatory || -f $path) {
-		do convert($path, $file);
+		convert($path, $file);
 	}	
 }
 
@@ -221,7 +221,7 @@
 $vartable{"SRCDIR"} = $srcdir;
 $vartable{"SRCABSDIR"} = $srcabsdir;
 $vartable{"PREFIX"} = $prefix;
-$vartable{"OBJEXT"} = do get_objext();
+$vartable{"OBJEXT"} = get_objext();
 $vartable{"PERL"} = $perl;
 $vartable{"LANG"} = $lang;
 
@@ -250,8 +250,8 @@
 #  Makefile とアプリケーションファイルの生成
 #
 
-do generate("Makefile", 1);
-do generate($uname.".c", 0);
-do generate($uname.".cpp", 0);
-do generate($uname.".h", 0);
-do generate($uname.".cfg", 0);
+generate("Makefile", 1);
+generate($uname.".c", 0);
+generate($uname.".cpp", 0);
+generate($uname.".h", 0);
+generate($uname.".cfg", 0);
Index: utils/genoffset
===================================================================
RCS file: /cvsroot/toppersjsp4bf/jsp/utils/genoffset,v
retrieving revision 1.1
diff -u -r1.1 genoffset
--- utils/genoffset	31 Jan 2009 05:27:37 -0000	1.1
+++ utils/genoffset	14 Jun 2012 13:33:18 -0000
@@ -153,7 +153,7 @@
 			}
 
 			# ビット位置を探す
-			$val_bit = do search_bit($val);
+			$val_bit = search_bit($val);
 
 			# バイト単位に換算する
 			if ($endian eq "B") {
@@ -244,10 +244,10 @@
 	chomp $line;
 
 	if ($line =~ /^[ \t]*OFFSET_DEF/) {
-		do parse_offset();
+		parse_offset();
 	}
 	elsif ($line =~ /^[ \t]*_?BIT_REF/) {
-		do ref_bit();
+		ref_bit();
 	}
 }
 seek(INFILE, 0, SEEK_SET);
@@ -255,7 +255,7 @@
 	chomp $line;
 
 	if ($line =~ /^[ \t]*_?BIT_([BL])([BHW])/) {
-		do parse_bit($1, $2);
+		parse_bit($1, $2);
 	}
 }
 close(INFILE);
Index: utils/genrename
===================================================================
RCS file: /cvsroot/toppersjsp4bf/jsp/utils/genrename,v
retrieving revision 1.1
diff -u -r1.1 genrename
--- utils/genrename	31 Jan 2009 05:27:37 -0000	1.1
+++ utils/genrename	14 Jun 2012 13:33:18 -0000
@@ -111,7 +111,7 @@
 		print FILE " */\n";
 	}
 	elsif ($sym ne "") {
-		do generate_define($sym, "");
+		generate_define($sym, "");
 	}
 	else {
 		print FILE "\n";
@@ -131,7 +131,7 @@
 		print FILE " */\n";
 	}
 	elsif ($sym ne "") {
-		do generate_define($sym, "_");
+		generate_define($sym, "_");
 	}
 	else {
 		print FILE "\n";
@@ -165,7 +165,7 @@
 		print FILE " */\n";
 	}
 	elsif ($sym ne "") {
-		do generate_undef($sym, "");
+		generate_undef($sym, "");
 	}
 	else {
 		print FILE "\n";
@@ -185,7 +185,7 @@
 		print FILE " */\n";
 	}
 	elsif ($sym ne "") {
-		do generate_undef($sym, "_");
+		generate_undef($sym, "_");
 	}
 	else {
 		print FILE "\n";
Index: utils/makedep
===================================================================
RCS file: /cvsroot/toppersjsp4bf/jsp/utils/makedep,v
retrieving revision 1.2
diff -u -r1.2 makedep
--- utils/makedep	24 Nov 2011 06:03:41 -0000	1.2
+++ utils/makedep	14 Jun 2012 13:33:18 -0000
@@ -56,7 +56,7 @@
 #
 #  オプションの処理
 #
-do Getopt("COTD");
+Getopt("COTD");
 
 $cc_path = $opt_C;
 $cc_opts = $opt_O;
@@ -143,6 +143,6 @@
 #
 foreach $file (@ARGV) {
 	%dependlist = ();
-	do makedepend_one($file);
-	do output_dependlist($file) if (%dependlist);
+	makedepend_one($file);
+	output_dependlist($file) if (%dependlist);
 }
Index: utils/rename
===================================================================
RCS file: /cvsroot/toppersjsp4bf/jsp/utils/rename,v
retrieving revision 1.1
diff -u -r1.1 rename
--- utils/rename	31 Jan 2009 05:27:37 -0000	1.1
+++ utils/rename	14 Jun 2012 13:33:18 -0000
@@ -107,5 +107,5 @@
 	# ファイルでなければスキップ
 	next unless (-f $infile);
 
-	do rename($infile) if ($infile ne $deffile);
+	rename($infile) if ($infile ne $deffile);
 }

